# Class BackupInfo | EchoHub Documentation

# Class BackupInfo

Namespace
  EchoHub.Client.Services

Assembly
  EchoHub.Client.dll

    public record BackupInfo : IEquatable<BackupInfo>

Inheritance
  object
  BackupInfo

Implements
  IEquatable<BackupInfo>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### BackupInfo(BackupInfo)

    protected BackupInfo(BackupInfo original)

#### Parameters

`original` BackupInfo

### BackupInfo(string, string, DateTimeOffset)

    public BackupInfo(string Version, string AppDirectory, DateTimeOffset CreatedAt)

#### Parameters

`Version` string
`AppDirectory` string
`CreatedAt` DateTimeOffset

## Properties

### AppDirectory

    public string AppDirectory { get; init; }

#### Property Value

string

### CreatedAt

    public DateTimeOffset CreatedAt { get; init; }

#### Property Value

DateTimeOffset

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Version

    public string Version { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string, out DateTimeOffset)

    public void Deconstruct(out string Version, out string AppDirectory, out DateTimeOffset CreatedAt)

#### Parameters

`Version` string
`AppDirectory` string
`CreatedAt` DateTimeOffset

### Equals(BackupInfo?)

    public virtual bool Equals(BackupInfo? other)

#### Parameters

`other` BackupInfo

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(BackupInfo?, BackupInfo?)

    public static bool operator ==(BackupInfo? left, BackupInfo? right)

#### Parameters

`left` BackupInfo
`right` BackupInfo

#### Returns

bool

### operator !=(BackupInfo?, BackupInfo?)

    public static bool operator !=(BackupInfo? left, BackupInfo? right)

#### Parameters

`left` BackupInfo
`right` BackupInfo

#### Returns

bool